dynatrace_flutter_plugin 2.218.2
dynatrace_flutter_plugin: ^2.218.2 copied to clipboard

The Dynatrace Flutter plugin helps auto-instrument your Flutter app with Dynatrace OneAgent for Android and iOS. It also provides an API to add manual instrumentation.

2.218.2 #

  • Added new startWithoutWidget API that does not use runApp
  • Added API for zone errors
  • Added support for null safety
  • Deprecated DataCollectionLevel: User (UserBehavior is the new preferred option)

1.215.7 #

  • Added uninstall option for CLI
  • Add new report error and report crash API
  • Added API to report values, events and errors in latest actions
  • Internal error handler is now reporting errors not crashes

1.208.0 #

  • Added manual web request monitoring API
  • Introduced UserPrivacyOptions
  • Fixed startup binding issue

1.205.0 #

  • Added Http abort method to support Dart 2.10+
  • Unhandled exceptions reported as crash

1.202.0 #

  • Fixed Http instrumentation

0.198.0 #

  • Manual Startup

0.196.0 #

  • Manual instrumentation API
  • Crash Reporting
  • HttpClient Support
  • Automatic Configuration
10
likes
110
pub points
90%
popularity

The Dynatrace Flutter plugin helps auto-instrument your Flutter app with Dynatrace OneAgent for Android and iOS. It also provides an API to add manual instrumentation.

Homepage

Documentation

API reference

License

unknown (LICENSE)

Dependencies

flutter, path, xml, yaml

More

Packages that depend on dynatrace_flutter_plugin